# SimpleXMLElement::__toString

(PHP 5 >= 5.3.0, PHP 7)

SimpleXMLElement::__toString — Returns the string content

### Description

public SimpleXMLElement::__toString ( void ) : string

Returns text content that is directly in this element. Does not return text content that is inside this element's children.

### Parameters

This function has no parameters.

### Return Values

Returns the string content on success or an empty string on failure.

### Examples

Example #1 Get string content

`<?php
$xml = new SimpleXMLElement('<a>1 <b>2 </b>3</a>');
echo $xml;
?>`

The above example will output:

    1 3

### See Also

- SimpleXMLElement::asXML() - Return a well-formed XML string based on SimpleXML element